python-nine_0.3.4-2_all.deb


Advertisement

Description

python-nine - Python 2 / 3 compatibility, like six, but favouring Python 3

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-nine
Package version: 0.3.4
Package release: 2
Package architecture: all
Package type: deb
Installed size: 40 B
Download size: 7.98 KB
Official Mirror: archive.ubuntu.com
When thou writeth Python, thou shalt write Python 3 and, just for a while, ensure that the thing worketh on Python 2.7 and, possibly, even 2.6. Just before Python 2 is finally phased out, thine codebase shall look more like 3 than like 2. nine facilitates this new point of view. You can write code that is as 3ish as possible while still supporting 2.6. Very comfortable for writing new projects. This package contains the Python 2 bindings only.

Alternatives

    Download

    Source package: python-nine

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-nine deb package:
      # sudo apt-get install python-nine

    Files

    • /usr/lib/python2.7/dist-packages/nine/__init__.py
    • /usr/lib/python2.7/dist-packages/nine/decorator.py
    • /usr/lib/python2.7/dist-packages/nine/test_nine.py
    • /usr/lib/python2.7/dist-packages/nine-0.3.4.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/nine-0.3.4.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/nine-0.3.4.egg-info/not-zip-safe
    • /usr/lib/python2.7/dist-packages/nine-0.3.4.egg-info/top_level.txt
    • /usr/share/doc/python-nine/README.rst
    • /usr/share/doc/python-nine/changelog.Debian.gz
    • /usr/share/doc/python-nine/copyright

    Changelog

    2015-11-25 - TANIGUCHI Takaki <takaki@debian.org> python-nine (0.3.4-2) unstable; urgency=medium [ SVN-Git Migration ] * git-dpm config * Update Vcs fields for git migration [ TANIGUCHI Takaki ] * debian/watch: Use pypy.debian.net.

    2014-11-05 - TANIGUCHI Takaki <takaki@debian.org> python-nine (0.3.4-1) unstable; urgency=medium * New upstream release * Bump Standards-Version 3.9.6 * debian/copyright: Fix lintian warning (License name)

    2014-03-09 - Thomas Goirand <zigo@debian.org> python-nine (0.3.3-2) unstable; urgency=medium * Team upload. * Added missing dh-python build-depends. * Ran wrap-and-sort. * Added missing build-depends: python-importlib.

    2013-08-20 - TANIGUCHI Takaki <takaki@debian.org> python-nine (0.3.3-1) unstable; urgency=low * Initial release. (Closes: #720282)

    Advertisement
    Advertisement